VehicleSetup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehicleSetup

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehicleSetup

    public class VehicleSetup

extends java.lang.Object

This class models all possible settings of a car setup.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `VehicleSetup.Controls` Model of the controls part of the setup
`static class` | `VehicleSetup.Engine` Model of the engine part of the setup
`static class` | `VehicleSetup.General` Model of the general part of the setup
`static class` | `VehicleSetup.WheelAndTire` Model of the wheel and tire part of the setup

Method Summary
`VehicleSetup.Controls` | `getControls()` Gets an interface to the settings of the control part of the setup.
`VehicleSetup.Engine` | `getEngine()` Gets an interface to the settings of the engine part of the setup.
`VehicleSetup.General` | `getGeneral()` Gets an interface to the general part of the setup.
`VehicleSetup.WheelAndTire` | `getWheelAndTire(Wheel wheel)` Gets an interface to the settings of the wheel and tire, suspension and brake disc for the passed wheel.
`boolean` | `isUpdatedInTimeScope()` Gets, whether the last update of these data has been done while in running session resp. realtime mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isUpdatedInTimeScope

    public final boolean isUpdatedInTimeScope()

  Gets, whether the last update of these data has been done while in running session resp. realtime mode.

  Returns:
    whether the last update of these data has been done while in running session resp. realtime mode.

### getGeneral

    public final VehicleSetup.General getGeneral()

  Gets an interface to the general part of the setup.

  Returns:
    an interface to the general part of the setup.

### getControls

    public final VehicleSetup.Controls getControls()

  Gets an interface to the settings of the control part of the setup.

  Returns:
    an interface to the settings of the control part of the setup.

### getEngine

    public final VehicleSetup.Engine getEngine()

  Gets an interface to the settings of the engine part of the setup.

  Returns:
    an interface to the settings of the engine part of the setup.

### getWheelAndTire

    public final VehicleSetup.WheelAndTire getWheelAndTire(Wheel wheel)

  Gets an interface to the settings of the wheel and tire, suspension and brake disc for the passed wheel.

  Parameters:
    `wheel` - the requested wheel
  Returns:
    an interface to the settings of the wheel and tire, suspension and brake disc for the passed tire.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD